Page MenuHomePhabricator

Fix TwoColConflict dashboard to show numbers for v2 interface
Closed, ResolvedPublic3 Story Points

Description

Motivation
The TwoColConflict dashboard does not return any numbers for the new v2 interface.

Acceptance Criteria

  • The dashboard shows numbers again for how many edit conflicts happened in the new interface, how many of them were solved, and what a percentage that results in

Notes
The keys of v1 will be reused.
Remember the metrics.md file

Details

Related Gerrit Patches:
mediawiki/extensions/TwoColConflict : masterCollect statistics on the new interface.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptNov 13 2018, 1:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE updated the task description. (Show Details)Nov 13 2018, 1:50 PM
Lea_WMDE set the point value for this task to 3.
thiemowmde triaged this task as Medium priority.Nov 20 2018, 12:44 PM
thiemowmde moved this task from Incoming to Edit Conflict Handling on the TCB-Team board.
thiemowmde added subscribers: thiemowmde, WMDE-Fisch.

Change 476235 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] Collect statistics on the new interface.

https://gerrit.wikimedia.org/r/476235

Change 476235 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Collect statistics on the new interface.

https://gerrit.wikimedia.org/r/476235

We obviously need to wait for this to be deployed and that numbers come in. - If it's urgent we could backport it though. @Lea_WMDE any opinions on that?

Lea_WMDE removed the point value for this task.Dec 3 2018, 8:47 AM

No, it's fine as long as we see it next week, but thanks for double checking!

WMDE-Fisch set the point value for this task to 3.Dec 3 2018, 9:31 AM

The numbers surprise me as they don't fit the qualitative feedback we have received so far. Can you please double check to make sure we are measuring things correctly?
Further down on the page edit conflicts are seperated by namepsaces, and there the numbers don't work at all (but I think that was already the case before, so I'm happy to make that another ticket, I'm just mentioning it here in case it brings any value when double checking the other numbers)

@Lea_WMDE could you please recheck and move/close ticket. - Also if needed create a new ticket for checking/fixing namespaces numbers? - Thanks! :-)

Lea_WMDE closed this task as Resolved.Jan 18 2019, 9:20 AM

thanks for pointing me again to the ticket :)